msgpack::detail::context< VisitorHolder > Class Template Reference

`#include <unpack.hpp>`

## Public Member Functions

| context (unpack_reference_func f, void *user_data, unpack_limit const &limit)
void | init ()
msgpack::object const & | data () const
unpack_user & | user ()
unpack_user const & | user () const
int | execute (const char *data, std::size_t len, std::size_t &off)
template<>
void | check_ext_size (std::size_t size)

## Constructor & Destructor Documentation

## context()

template<typename VisitorHolder >

msgpack::detail::context< VisitorHolder >::context | ( | unpack_reference_func | f,
|  | void * | user_data,
|  | unpack_limit const & | limit
| ) |  |

inline

## Member Function Documentation

## check_ext_size()

template<typename VisitorHolder >
template<>

void msgpack::detail::context< VisitorHolder >::check_ext_size | ( | std::size_t | size | ) |

inline

References msgpack::type::size().

## data()

template<typename VisitorHolder >

msgpack::object const& msgpack::detail::context< VisitorHolder >::data | ( |  | ) | const

inline

Referenced by msgpack::unpacker::data(), and msgpack::detail::unpack_imp().

## execute()

template<typename VisitorHolder >

int msgpack::detail::context< VisitorHolder >::execute | ( | const char * | data,
|  | std::size_t | len,
|  | std::size_t & | off
| ) |  |

inline

References MSGPACK_NULLPTR, msgpack::detail::unpack_bin(), msgpack::detail::unpack_double(), msgpack::detail::unpack_ext(), msgpack::detail::unpack_false(), msgpack::detail::unpack_float(), msgpack::detail::unpack_int16(), msgpack::detail::unpack_int32(), msgpack::detail::unpack_int64(), msgpack::detail::unpack_int8(), msgpack::detail::unpack_nil(), msgpack::detail::unpack_str(), msgpack::detail::unpack_true(), msgpack::detail::unpack_uint16(), msgpack::detail::unpack_uint32(), msgpack::detail::unpack_uint64(), and msgpack::detail::unpack_uint8().

Referenced by msgpack::unpacker::execute(), and msgpack::detail::unpack_imp().

## init()

template<typename VisitorHolder >

void msgpack::detail::context< VisitorHolder >::init | ( |  | ) |

inline

Referenced by msgpack::unpacker::reset(), msgpack::detail::unpack_imp(), and msgpack::unpacker::unpacker().

## user() [1/2]

template<typename VisitorHolder >

unpack_user& msgpack::detail::context< VisitorHolder >::user | ( |  | ) |

inline

Referenced by msgpack::unpacker::next(), msgpack::unpacker::release_zone(), msgpack::unpacker::reserve_buffer(), msgpack::unpacker::reset_zone(), msgpack::detail::unpack_imp(), and msgpack::unpacker::unpacker().

## user() [2/2]

template<typename VisitorHolder >

unpack_user const& msgpack::detail::context< VisitorHolder >::user | ( |  | ) | const

inline

References msgpack::detail::unpack_stack::container_type(), msgpack::detail::unpack_stack::decr_count(), msgpack::detail::unpack_stack::map_key(), msgpack::detail::unpack_stack::obj(), msgpack::detail::unpack_stack::set_container_type(), msgpack::detail::unpack_stack::set_map_key(), msgpack::detail::unpack_array_item(), and msgpack::detail::unpack_map_item().

The documentation for this class was generated from the following file:

- /build/msgpack-c-kSv3lu/msgpack-c-3.0.1/include/msgpack/v1/unpack.hpp